# vkCmdCopyAccelerationStructureKHR(3) Manual Page

## Name

vkCmdCopyAccelerationStructureKHR - Copy an acceleration structure

## C Specification

To copy an acceleration structure call:

    void vkCmdCopyAccelerationStructureKHR(
        VkCommandBuffer                             commandBuffer,
        const VkCopyAccelerationStructureInfoKHR*   pInfo);

## Parameters

- `commandBuffer` is the command buffer into which the command will be recorded.

- `pInfo` is a pointer to a VkCopyAccelerationStructureInfoKHR structure defining the copy operation.

## Description

Valid Usage

- All `VkAccelerationStructureKHR` objects referenced by this command must be bound to device memory.

- The VkDeferredOperationInfoKHR structure must not be included in the `pNext` chain of the VkCopyAccelerationStructureInfoKHR structure.

Valid Usage (Implicit)

- `commandBuffer` must be a valid VkCommandBuffer handle

- `pInfo` must be a valid pointer to a valid VkCopyAccelerationStructureInfoKHR structure

- `commandBuffer` must be in the recording state

- The `VkCommandPool` that `commandBuffer` was allocated from must support compute operations

- This command must only be called outside of a render pass instance

Host Synchronization

- Host access to the `VkCommandPool` that `commandBuffer` was allocated from must be externally synchronized

Command Properties

Command Buffer Levels | Render Pass Scope | Supported Queue Types | Pipeline Type
--- | --- | --- | ---
Primary Secondary | Outside | Compute |

## See Also

VkCommandBuffer, VkCopyAccelerationStructureInfoKHR

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.